////////////////////////////////////////////////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////s           www.testbench.in           s////
////s                                      s////
////s              OVM Tutorial            s////
////s                                      s////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////////////////////////////////////////////////

 `include "ovm.svh"
 import ovm_pkg::*;

class rpting extends ovm_threaded_component;

  `ovm_component_utils(rpting)
 
  function new(string name,ovm_component parent);
    super.new(name, parent);
  endfunction

  task run();
    ovm_report_info(get_full_name(),"Info Message : Verbo lvl - OVM_NONE  ",OVM_NONE,`__FILE__,`__LINE__);
    ovm_report_info(get_full_name(),"Info Message : Verbo lvl - OVM_LOW   ",OVM_LOW);
    ovm_report_info(get_full_name(),"Info Message : Verbo lvl - 150       ",150);
    ovm_report_info(get_full_name(),"Info Message : Verbo lvl - OVM_MEDIUM",OVM_MEDIUM);
    ovm_report_warning(get_full_name(),"Warning Messgae from rpting",OVM_LOW);
    ovm_report_error(get_full_name(),"Error Message from rpting \n\n",OVM_LOG);
  endtask

endclass

module top;

 rpting rpt1;
 rpting rpt2;
 rpting rpt3;

 initial begin
   rpt1 = new("rpt1",null);
   rpt2 = new("rpt2",null);
   rpt3 = new("rpt3",null);

   rpt1.set_report_verbosity_level(OVM_MEDIUM);
   rpt2.set_report_verbosity_level(OVM_LOW);
   rpt3.set_report_verbosity_level(OVM_NONE);
   run_test();


 end
endmodule

   
